跳到内容
Esc
↑↓导航↵打开⌘J预览

List inboxes

The team’s inboxes, newest first (after pages toward older ones). An inbox-scoped key lists only its inbox.

GET/inboxes
授权
AuthorizationBearer 令牌 · header必填

A BillionSend API key (bs_…).

查询参数
limitinteger

Page size, 1-100 (default 20)

最小值 1 · 最大值 100
afterstring<uuid>

Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.

beforestring<uuid>

Cursor: id of the first item of the current page; returns the previous page; same rule as after.

kindstring

BillionSend extension: agent or human inboxes only

允许值:agenthuman
响应
200

Inboxes

objectstring必填
允许值:list
has_moreboolean必填
dataobject[]必填
显示属性
object 数组
idstring<uuid>必填
namestring | null必填
email_addressstring必填
from_namestring | null必填
unreadinteger必填
last_receivedstring | null必填
created_atstring必填
updated_atstring必填
kindstring必填
允许值:agenthuman
sharedboolean必填
expires_atstring | null必填
401

Missing, malformed, unknown or revoked API key

statusCodenumber必填
namestring必填
messagestring必填
404

Pagination cursor not found

statusCodenumber必填
namestring必填
messagestring必填
422

Validation error

statusCodenumber必填
namestring必填
messagestring必填
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumber必填
namestring必填
messagestring必填
试一试
服务器
授权
参数
请求
curl -X GET 'https://api.billionsend.com/inboxes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
响应
{
  "object": "list",
  "has_more": true,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email_address": "string",
      "from_name": "string",
      "unread": 0,
      "last_received": "string",
      "created_at": "string",
      "updated_at": "string",
      "kind": "agent",
      "shared": true,
      "expires_at": "string"
    }
  ]
}

这个页面有帮助吗?